Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gisgraphy.domain.repository
Interface ILanguageDao

All Superinterfaces:
  IDao<Language,java.lang.Long>

All Known Implementing Classes:
  LanguageDao

    public interface ILanguageDao

extends IDao<Language,java.lang.Long>

Interface of data access object for `Language`

Author:
  David Masclet

Method Summary
`Language` | `getByIso639Alpha2Code(java.lang.String iso639Alpha2Code)` Find by ISO 639 Alpha 2 (2-letter) code
`Language` | `getByIso639Alpha3Code(java.lang.String iso639Alpha3Code)` Find by ISO 639 Alpha 3 (3-letter) code
`Language` | `getByIso639Code(java.lang.String iso639LanguageCode)`

Methods inherited from interface com.gisgraphy.domain.repository.IDao
`count, deleteAll, deleteAll, exists, flushAndClear, get, getAll, getAllPaginate, getPersistenceClass, remove, save, setFlushMode`

Method Detail

### getByIso639Alpha2Code

    Language getByIso639Alpha2Code(java.lang.String iso639Alpha2Code)

  Find by ISO 639 Alpha 2 (2-letter) code

  Parameters:
    `iso639Alpha2Code` - The ISO 639 Alpha 2 (2-letter) code
  Returns:
    The language or null if not found

### getByIso639Alpha3Code

    Language getByIso639Alpha3Code(java.lang.String iso639Alpha3Code)

  Find by ISO 639 Alpha 3 (3-letter) code

  Parameters:
    `iso639Alpha3Code` - ISO 639 Alpha 3 (3-letter) code
  Returns:
    The Language or null if not found

### getByIso639Code

    Language getByIso639Code(java.lang.String iso639LanguageCode)

  Parameters:
    `iso639LanguageCode` - The alpha-2 or 3 language code
  Returns:
    the language according the length of the specified iso639LanguageCode
  Throws:
    `an` - illegalArgumentException if the code is null or the length is not 2 or three

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.